Package net.sf.saxon.functions

## Enum AccessorFn.Component

- java.lang.Object
- - java.lang.Enum<AccessorFn.Component>
  - - net.sf.saxon.functions.AccessorFn.Component

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<AccessorFn.Component>`
  Enclosing class:
    AccessorFn

      public static enum AccessorFn.Component
      extends java.lang.Enum<AccessorFn.Component>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DAY` |
    `HOURS` |
    `LOCALNAME` |
    `MICROSECONDS` |
    `MINUTES` |
    `MONTH` |
    `NAMESPACE` |
    `NANOSECONDS` |
    `PREFIX` |
    `SECONDS` |
    `TIMEZONE` |
    `WHOLE_SECONDS` |
    `YEAR` |
    `YEAR_ALLOWING_ZERO` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static AccessorFn.Component` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static AccessorFn.Component[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### YEAR

          public static final AccessorFn.Component YEAR

    - #### MONTH

          public static final AccessorFn.Component MONTH

    - #### DAY

          public static final AccessorFn.Component DAY

    - #### HOURS

          public static final AccessorFn.Component HOURS

    - #### MINUTES

          public static final AccessorFn.Component MINUTES

    - #### SECONDS

          public static final AccessorFn.Component SECONDS

    - #### TIMEZONE

          public static final AccessorFn.Component TIMEZONE

    - #### LOCALNAME

          public static final AccessorFn.Component LOCALNAME

    - #### NAMESPACE

          public static final AccessorFn.Component NAMESPACE

    - #### PREFIX

          public static final AccessorFn.Component PREFIX

    - #### MICROSECONDS

          public static final AccessorFn.Component MICROSECONDS

    - #### NANOSECONDS

          public static final AccessorFn.Component NANOSECONDS

    - #### WHOLE_SECONDS

          public static final AccessorFn.Component WHOLE_SECONDS

    - #### YEAR_ALLOWING_ZERO

          public static final AccessorFn.Component YEAR_ALLOWING_ZERO

  - ### Method Detail

    - #### values

          public static AccessorFn.Component[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AccessorFn.Component c : AccessorFn.Component.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AccessorFn.Component valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null